Macaulay2 » Documentation
Packages » CoincidentRootLoci :: degree(CoincidentRootLocus)
next | previous | forward | backward | up | index | toc

# degree(CoincidentRootLocus) -- compute the degree

- Function: degree
- Usage:
    `degree X`
- Inputs:
  - X, a coincident root locus
- Outputs:
  - an integer, the degree of X as a projective variety

## Description

The formula for the degree of a coincident root locus $X$ associated with a partition $\lambda=(\lambda_1,\ldots,\lambda_d)$ was determined in the paper by D. Hilbert - Singularitaten der Diskriminantenflache - Math. Ann. 30, 437-441, 1887.

    i1 : X = coincidentRootLocus {3,2,2,1,1,1,1}

    o1 = CRL(3,2,2,1,1,1,1)

    o1 : Coincident root locus

    i2 : degree X

    o2 = 1260

## Ways to use this method:

- degree(CoincidentRootLocus) -- compute the degree

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/CoincidentRootLoci/documentation.m2:46:0.